package cms

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals/api2"

	"git.rosy.net.cn/jx-callback/business/authz/autils"
	_ "git.rosy.net.cn/jx-callback/business/partner/purchase/ebai"
	_ "git.rosy.net.cn/jx-callback/business/partner/purchase/elm"
	_ "git.rosy.net.cn/jx-callback/business/partner/purchase/jd"
	_ "git.rosy.net.cn/jx-callback/business/partner/purchase/mtwm"
	_ "git.rosy.net.cn/jx-callback/business/partner/purchase/weimob/wsc"
)

func TestTransferLegacyWeixins(t *testing.T) {
	err := TransferLegacyWeixins("")
	if err != nil {
		t.Fatal(err)
	}
}

func TestCasbin(t *testing.T) {
	userList, err := api2.RoleMan.GetRoleUserList(autils.NewStoreBossRole(100324))
	t.Log(utils.Format4Output(userList, false))
	if err != nil {
		t.Fatal(err)
	}
}

func TestRefreshTiktokShopToken(t *testing.T) {
	RefreshTiktokShopToken(nil)
}
